"use strict";

exports.__esModule = true;
exports["default"] = void 0;
var _styledComponents = require("styled-components");
var _default = exports["default"] = function _default(_ref) {
  var toggle = _ref.toggle,
    _ref$timing = _ref.timing,
    timing = _ref$timing === void 0 ? "" : _ref$timing,
    _ref$speed = _ref.speed,
    speed = _ref$speed === void 0 ? 200 : _ref$speed,
    transformOrigin = _ref.transformOrigin;
  var makeAnimations = function makeAnimations(keyframe) {
    return (0, _styledComponents.css)(["", " animation:", " ", "ms ", ";"], transformOrigin && "transform-origin: " + transformOrigin + ";", keyframe, speed, timing);
  };
  return {
    entering: makeAnimations((0, _styledComponents.keyframes)(["from{", "}"], toggle)),
    exiting: makeAnimations((0, _styledComponents.keyframes)(["to{", "}"], toggle))
  };
};